%define	major 1
%define libname	%mklibname %{name} %{major}

Summary:	Library for displaying messages
Name:		shhmsg
Version:	1.4.1
Release:	3mdk
License:	Artistic
Group:		System/Libraries
URL:		http://shh.thathost.com/pub-unix/
Source0:	http://shh.thathost.com/pub-unix/files/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
C-functions for error messages, verbose messages and `normal'
messages in terminalbased programs.

%package -n	%{libname}
Summary:	Library for displaying messages
Group:          System/Libraries

%description -n	%{libname}
C-functions for error messages, verbose messages and `normal'
messages in terminalbased programs.

%package -n	%{libname}-devel
Summary:	Library and header files for the %{name} library
Group:		Development/C
Provides:	lib%{name}-devel = %{version}
Provides:	%{name}-devel
Requires:	%{libname} = %{version}

%description -n	%{libname}-devel
C-functions for error messages, verbose messages and `normal'
messages in terminalbased programs.

%prep

%setup -q -n %{name}-%{version}

%build

# make the shared library
make SHARED="1" OPTIM="%{optflags} -D_REENTRANT -fPIC"

# make the static library
make OPTIM="%{optflags} -D_REENTRANT -fPIC"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# install the shared library
make \
    SHARED="1" \
    INSTBASEDIR="%{buildroot}%{_prefix}" \
    INSTLIBDIR=%{buildroot}%{_libdir} \
    install


# install the static library
make \
    INSTBASEDIR="%{buildroot}%{_prefix}" \
    INSTLIBDIR=%{buildroot}%{_libdir} \
    install

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig

%postun -n %{libname}-devel -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc CREDITS ChangeLog INSTALL README shhmsg.txt
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a

%changelog
* Tue May 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-3mdk
- lib64 fixes

* Sat Nov 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.1-2mdk
- rpmbuildupdated

* Sun Oct 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.1.7-1mdk
- initial cooker contrib
